Q3MAP2(1)

NAME
q3map2 - a quake BSP compiler

SYNOPSIS
q3map2 stage [common options] [stage options] file

DESCRIPTION
q3map2 is a BSP compiler for games based on the id Tech 3 engine. It compiles .map files, which are editable with an editor (like GtkRadiant or Netradiant), into .bsp files, which are binary files for the game and are not editable.

It currently supports the following platforms:
 * Nexuiz
 * Open Arena
 * Quake 3 Arena/Team Arena
 * Quake Live
 * Return to Castle Wolfenstien
 * Soldier of Fortune II
 * Star Trek Elite Force
 * Star Wars Jedi Knight: Jedi Academy
 * Star Wars Jedi Knight II: Jedi Outcast
 * Tenebrae (Quake1 Engine Modification Project)
 * Tremulous
 * Urban Terror
 * War§ow
 * Wolfenstein: Enemy Territory
 * World of Padman
 * Xonotic

STAGE
The command specifies the operation q3map will perform on the given file. Only one command can be specified.

-bsp
    Compiles a .map file into a .bsp (binary space partition) file for use with the Quake III Arena engine. It also writes a .prt (portal information) file and a .srf (surface) file. This is the default command: if no command is given, -bcp is assumed. This command requires file to be a path to an uncompiled .map file.

-vis
    Creates visibility sets based on the portal file. This command requires file to be a path to a .map file, which has been processed with the -bcp command.

-light
    Calculates lighting data. This command requires file to be a path to an uncompiled .map file. If the -light command is used without additional options, less than desirable output will be achieved.

-scale <factor>
    Scales a compiled .bsp by the prescribed factor. For example a factor of 0.25 will output a new .bsp that is 25% of the original .bsp's size, a factor of 2.0 will output a new .bsp that is twice as large. The scaled output is written to the maps subdirectory of the game base directory. This command requires file to be a path to a compiled .bsp file.

-convert
    Converts a compiled .bsp to another format. This command requires file to be a path to a compiled .bsp file.

-export
    Exports internal lightmaps from a compiled .bsp to external .tga images. This command requires file to be a path to a compiled .bsp file.

-exportents
    Exports internal entities from a compiled .bsp. This command requires file to be a path to a compiled .bsp file.

-fixaas

-info
    Analyzes a compiled bsp and outputs information to the screen or log. This command requires file to be a path to a compiled .bsp file.

-import
    Imports external .tga lightmaps back into a compiled .bsp. Imported lightmaps will only work on the unmodified BSP they were exported from. This command requires file to be a path to a compiled .bsp file.

-minimap

COMMON OPTIONS

-force
    Allow reading some broken/unsupported BSP files e.g. when decompiling, may also crash

-fs_basepath <path>
    Sets the given path as main directory of the game (can be used more than once to look in multiple paths)

-fs_forbiddenpath <pattern>
    Pattern to ignore directories, pk3, and pk3dir; example pak?.pk3 (can be used more than once to look for multiple patterns)

-fs_game <gamename>
    Sets a different game directory name (default for Q3A: baseq3, can be used more than once)

-fs_home <dir>
    Specifies where the user home directory is on Linux

-fs_homebase <dir>
    Specifies game home directory relative to user home directory on Linux (default for Q3A: .q3a)

-fs_homepath <path>
    Sets the given path as the game home directory name (fs_home + fs_homebase)

-fs_nobasepath
    Do not load base paths in VFS, imply -fs_nomagicpath

-fs_nomagicpath
    Do not try to guess base path magically

-fs_nohomepath
    Do not load home path in VFS

-fs_pakpath <path>
    Specify a package directory (can be used more than once to look in multiple paths)

-game <gamename>
    Load settings for the given game (default: quake3). Options are: quake3, nexuiz, oa, q3rally, quakelive, reaction, smokinguns, tremulous, unvanquished, wop, xonotic, tenebrae, wolf, et, etut, ef, sof2, jk2, ja, qfusion, warsow, warfork, darkplaces, dq, prophecy

-threads <number>
    Number of threads used to compile the map. For the fastest compile times the number of threads is set to the number of system processors.

-v  Output verbose information.

-werror
    Make all warnings into errors.

STAGE OPTIONS

There are too many options to list here.

Please run q3map2 -help <stage> to see all the available options for a specific stage